package me.mctp.api.maps;

import java.util.*;

public class Playlist<E> extends ArrayList<E> {
    public void shuffle() {
        Random random = new Random();

        for (int index = 0; index < this.size(); index++) {
            int secondIndex = random.nextInt(this.size());
            swap(index, secondIndex);
        }
    }

    public E getRandom() {
        Random random = new Random();

        return this.get(random.nextInt(this.size()));
    }

    private void swap(int firstIndex, int secondIndex) {
        E first = this.get(firstIndex);
        E second = this.get(secondIndex);

        this.set(secondIndex, first);
        this.set(firstIndex, second);
    }
}